<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="48dp">

    <ImageView
        android:id="@+id/iv_signatureBorder"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:background="@drawable/shape_rec_gray_border_rcorner"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/btn_close" />

    <ImageView
        android:id="@+id/iv_signature"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:scaleType="matrix"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:layout_marginLeft="16dp"
        android:layout_marginStart="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginEnd="16dp"
        app:layout_constraintTop_toTopOf="@id/iv_signatureBorder"
        app:layout_constraintBottom_toBottomOf="@id/iv_signatureBorder"
        app:layout_constraintLeft_toLeftOf="@id/iv_signatureBorder"
        app:layout_constraintRight_toRightOf="@id/iv_signatureBorder" />

    <ImageButton
        android:id="@+id/btn_close"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="12dp"
        android:background="@null"
        android:src="@drawable/ic_close_dark"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@id/iv_signatureBorder"
        app:layout_constraintRight_toRightOf="parent" />


</android.support.constraint.ConstraintLayout>